#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Run each test in a forked subprocess
Summary(pl.UTF-8):	Uruchamianie każdego testu w oddzielnym procesie
Name:		python3-pytest-forked
Version:	1.6.0
Release:	2
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-forked/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-forked/pytest-forked-%{version}.tar.gz
# Source0-md5:	c2c026fc5bc4ad54649d7f85e36a62ec
Patch0:		pytest8.patch
URL:		https://github.com/pytest-dev/pytest-forked
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools >= 1:41.4
BuildRequires:	python3-setuptools_scm >= 3.3
%if %{with tests}
BuildRequires:	python3-py
BuildRequires:	python3-pytest >= 3.10
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Run each test in a forked subprocess.

%description -l pl.UTF-8
Uruchamianie każdego testu w oddzielnym procesie.

%prep
%setup -q -n pytest-forked-%{version}
%patch -P 0 -p1

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_forked \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest testing
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE README.rst example/boxed.txt
%{py3_sitescriptdir}/pytest_forked
%{py3_sitescriptdir}/pytest_forked-%{version}-py*.egg-info
%changelog
* Sat Jun 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-forked.git;a=log;h=master

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 9409b29
- explicit pytest plugins list, fixed python-modules dependency; release 2

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> 3fffb67
- up to 1.6.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 14b41e7
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e61b748
- python 3.13 rebuild

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 9ed5521
- updated dependencies, note on pytest

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a8c5591
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f85fb27
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 9b6d17a
- updated to 1.3.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 54a07ec
- release 2 (by relup.sh)

* Tue Mar 24 2020 Jakub Bogusz <qboosh@pld-linux.org> d679d49
- updated to 1.1.3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e72d44c
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> b92641b
- new

